Index: code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumba.cc
===================================================================
--- code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumba.cc	(revision 11628)
+++ code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumba.cc	(revision 11629)
@@ -60,4 +60,5 @@
         changeAllowed_ = true;
         changedOn_ = 0.0;
+        creator_ = nullptr;
         
     }
@@ -91,5 +92,15 @@
     }
 
-
+    void SOBGumba::setDirection(const bool direction)
+    {
+        if(direction)
+        {
+            goesRight_=true;
+        }
+        else
+        {
+            goesRight_=false;
+        }
+    }
 
     void SOBGumba::tick(float dt)
Index: code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumba.h
===================================================================
--- code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumba.h	(revision 11628)
+++ code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumba.h	(revision 11629)
@@ -51,4 +51,5 @@
             virtual void tick(float dt) override;
 
+            void setDirection(const bool direction);
           
             bool attachedToFigure_;
@@ -68,4 +69,5 @@
             bool changeAllowed_;
             float changedOn_;
+            SOBGumbaBoss* creator_;
            
     };
Index: code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumbaBoss.cc
===================================================================
--- code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumbaBoss.cc	(revision 11628)
+++ code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumbaBoss.cc	(revision 11629)
@@ -54,10 +54,9 @@
         RegisterObject(SOBGumbaBoss);
 
-        gumbaMaxTime_ = 5;
+        gumbaMaxTime_ = 4;
         gumbaTime_ = 0;
+        maxGumbas = 10; //Max Gumbas spawnable by a Boss
         
     }
-
-
 
     
@@ -93,5 +92,5 @@
 
         if(gumbaTime_ > gumbaMaxTime_){
-            spawnFireball();
+            spawnGumba();
             gumbaTime_ = 0;
         }
@@ -109,31 +108,32 @@
 
     }
-    void SOBGumbaBoss::spawnFireball() {
+    void SOBGumbaBoss::spawnGumba() {
         SOBCenterpoint* center_ = ((SOB*)getGametype())->center_;
 
-         SOBFireball* ball = new SOBFireball(center_->getContext());
+         SOBGumba* gumba = new SOBGumba(center_->getContext());
          Vector3 spawnpos = this->getWorldPosition();
          spawnpos.z += 0;
 
-        if (ball != nullptr && center_ != nullptr)
+        if (gumba != nullptr && center_ != nullptr)
         {
-            ball->addTemplate("fireball");
+            gumba->addTemplate("gumbaShootable");
             bool direction = ((this->getWorldOrientation().getRoll().valueRadians())>-1.6&&(this->getWorldOrientation().getRoll().valueRadians()<1.6));
-            ball->setDirection(direction);
+            gumba->setDirection(direction);
             if(direction)
             {
-                spawnpos.x+=10;
+                spawnpos.x+=20;
             }
             else
             {
-                spawnpos.x-=10;
+                spawnpos.x-=20;
             }
-            ball->setPosition(spawnpos);
+            spawnpos.z+=15;
+            gumba->setPosition(spawnpos);
 
         }
 
-        Vector3 velocity = ball->getVelocity();
+        Vector3 velocity = gumba->getVelocity();
         velocity.z -= 100;
-        ball->setVelocity(velocity);
+        gumba->setVelocity(velocity);
      }
 }
Index: code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumbaBoss.h
===================================================================
--- code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumbaBoss.h	(revision 11628)
+++ code/branches/SOBv2_HS17/src/modules/superorxobros/SOBGumbaBoss.h	(revision 11629)
@@ -50,5 +50,5 @@
             virtual void tick(float dt) override;
 
-            void spawnFireball();
+            void spawnGumba();
 
 
@@ -56,4 +56,6 @@
             float gumbaTime_;
             float gumbaMaxTime_;
+            int maxGumbas;
+
            
     };
